/*
 *  Simple Analyzer that randomly guesses the answer
 *   (used for testing and random baseline) 
 */
package org.penguindreams.bmcb.analyzers;
import org.penguindreams.bmcb.data.DataSet;
import java.awt.Image;

public class GuessingAnalyzer extends AbstractAnalyzer {

	@Override
	public char[] analyzeImage(Image inputImage)
			throws AnalysisNotSupportedException {
		throw new AnalysisNotSupportedException("Guessing Analyzer Does Not Support Non-Segmented Analysis");
	}

	@Override
	public char[] analyzeSegments(Image[] segments)
			throws AnalysisNotSupportedException {
		return DataSet.generateWord(segments.length).toCharArray();
	}

	@Override
	public void trainUsingImage(Image img, char[] answer) throws AnalysisNotSupportedException {
		throw new AnalysisNotSupportedException("Guessing Analyzer Does Not Support Training");
	}

	@Override
	public void trainUsingSegments(Image[] segments, char[] answer) throws AnalysisNotSupportedException {
		throw new AnalysisNotSupportedException("Guessing Analyzer Does Not Support Training");

	}

}
