/**
 * 
 * 
 * Taken from http://www.particle.kth.se/~lindsey/JavaCourse/Book/Part1/Supplements/Chapter11/convolution.html
 */

package org.penguindreams.bmcb.filters;

import java.awt.image.BufferedImage;
import java.awt.image.ConvolveOp;
import java.awt.image.Kernel;

public class ConvolveEdgeDetectFilter extends AbstractFilter {

	public void filterImage(BufferedImage img) {

		BufferedImage t = edgeFilter(img);
		img.getGraphics().drawImage(t,0,0,null);

	}

	   /** Create the filter to use for the convolution.**/
	  private BufferedImage edgeFilter (BufferedImage img) {

	      float[] edge = {
	           0f, -1f,  0f,
	          -1f,  4f, -1f,
	           0f, -1f,  0f
	      };

	      ConvolveOp op = new ConvolveOp (
	                         new Kernel (3, 3, edge),
	                         ConvolveOp.EDGE_NO_OP, null);

	      return op.filter (img,null);
	   } // edgeFilter
}
