package org.penguindreams.bmcb.util;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

public class TextResultTable extends AbstractResultHandler {

	public TextResultTable(String title) {
		super(title);
	}

	@Override
	public void generateGraph() {
		try {
			log.debug("Opening Text Results File for Writing: " + title);
			BufferedWriter out = new BufferedWriter(new FileWriter(new File(outDir,title + ".txt")));
			
		} catch (IOException e) {
			log.error("Could not open Text Results File for " + title, e);
		}
		
	}

}
